Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junitutils
Class TestFilesTestSuite.Helper

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junitutils.TestCase
                  junitutils.TestFilesTestSuite.Helper

All Implemented Interfaces:
  junit.framework.Test

Enclosing class:
  TestFilesTestSuite

public class TestFilesTestSuite.Helper
extends TestCase

This is a helper class that is actually a TestCase; it is run repeatedly with different constructor arguments.

Field Summary
`protected java.lang.String[]` | `args` Command-line arguments (including filename) for this test.
`protected java.lang.String` | `fileToTest` Filename of comparison files
`protected java.lang.Object` | `returnedObject` Result of test

Fields inherited from class junitutils.TestCase
`NEWLINE`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TestFilesTestSuite.Helper(java.lang.String testname, java.lang.String[] args)` The first argument is used as the name of the test as well as the name of the file to be tested.

Method Summary
`void` | `runTest()` This is the framework around the test.

Methods inherited from class junitutils.TestCase
`assertDiff, assertEquals`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileToTest

    protected java.lang.String fileToTest

  Filename of comparison files

### returnedObject

    protected java.lang.Object returnedObject

  Result of test

### args

    protected java.lang.String[] args

  Command-line arguments (including filename) for this test.

Constructor Detail

### TestFilesTestSuite.Helper

    public TestFilesTestSuite.Helper(java.lang.String testname,
                                     java.lang.String[] args)

  The first argument is used as the name of the test as well as the name of the file to be tested.

Method Detail

### runTest

    public void runTest()
                 throws java.io.IOException

  This is the framework around the test. It sets up the streams to capture output, and catches all relevant exceptions.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage